JBoss API: Interface SubjectSecurityManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.security
Interface SubjectSecurityManager

All Superinterfaces:
  AuthenticationManager

All Known Subinterfaces:
  SecurityDomain

All Known Implementing Classes:
  NullSecurityManager

public interface SubjectSecurityManager
extends AuthenticationManager

An extension of the AuthenticationManager that adds the notion of the active Subject and security domain.

Version:
  $Revision: 1.3.2.2 $
Author:
  Scott.Stark@jboss.org

Method Summary
`javax.security.auth.Subject` | `getActiveSubject()` Get the currently authenticated subject.
`java.lang.String` | `getSecurityDomain()` Get the security domain from which the security manager is from.

Methods inherited from interface org.jboss.security.AuthenticationManager
`isValid`

Method Detail

### getSecurityDomain

    public java.lang.String getSecurityDomain()

  Get the security domain from which the security manager is from. Every security manager belongs to a named domain. The meaning of the security domain name depends on the implementation. Examples range from as fine grained as the name of EJBs to J2EE application names to DNS domain names.
  Returns:
    the security domain name. May be null in which case the security manager belongs to the logical default domain.

### getActiveSubject

    public javax.security.auth.Subject getActiveSubject()

  Get the currently authenticated subject. After a successful isValid() call, a SubjectSecurityManager has a Subject associated with the current thread. This Subject will typically contain the Principal passed to isValid as well as any number of additional Principals, and credentials.
  Returns:
    The previously authenticated Subject if isValid succeeded, null if isValid failed or has not been called for the active thread.
  See Also:
    `AuthenticationManager.isValid(Principal, Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.